#pragma once
#include "my_fastled.h"
#include <list>
#include <vector>
#include "config.h"
#include "node.h"
#include "edge.h"
#include "corner.h"


extern std::vector<Node*> nodes;
extern std::list<Edge*> edges;
extern std::vector<Corner*> corners;

extern CRGB leds[LED_COUNT];

enum AnimationMode {
	AM_CORNERS,
	AM_NODES
};